<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddFieldsAdvsToHomeTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('home', function (Blueprint $table) {
            $table->string('banner_right_top')->nullable();
            $table->string('banner_right_top_url')->nullable();
            $table->string('banner_right_top_2')->nullable();
            $table->string('banner_right_top_2_url')->nullable();
            $table->string('banner_right_top_3')->nullable();
            $table->string('banner_right_top_3_url')->nullable();
            $table->string('banner_right_top_google')->nullable();

            $table->string('banner_right_bottom')->nullable();
            $table->string('banner_right_bottom_url')->nullable();
            $table->string('banner_right_bottom_2')->nullable();
            $table->string('banner_right_bottom_2_url')->nullable();
            $table->string('banner_right_bottom_3')->nullable();
            $table->string('banner_right_bottom_3_url')->nullable();
            $table->string('banner_right_bottom_google')->nullable();

            $table->string('banner_right_big')->nullable();
            $table->string('banner_right_big_url')->nullable();
            $table->string('banner_right_big_2')->nullable();
            $table->string('banner_right_big_2_url')->nullable();
            $table->string('banner_right_big_3')->nullable();
            $table->string('banner_right_big_3_url')->nullable();
            $table->string('banner_right_big_google')->nullable();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('home', function (Blueprint $table) {
            $table->dropColumn('banner_right_top');
            $table->dropColumn('banner_right_top_url');
            $table->dropColumn('banner_right_top_2');
            $table->dropColumn('banner_right_top_2_url');
            $table->dropColumn('banner_right_top_3');
            $table->dropColumn('banner_right_top_3_url');
            $table->dropColumn('banner_right_top_google');

            $table->dropColumn('banner_right_bottom');
            $table->dropColumn('banner_right_bottom_url');
            $table->dropColumn('banner_right_bottom_2');
            $table->dropColumn('banner_right_bottom_2_url');
            $table->dropColumn('banner_right_bottom_3');
            $table->dropColumn('banner_right_bottom_3_url');
            $table->dropColumn('banner_right_bottom_google');

            $table->dropColumn('banner_right_big');
            $table->dropColumn('banner_right_big_url');
            $table->dropColumn('banner_right_big_2');
            $table->dropColumn('banner_right_big_2_url');
            $table->dropColumn('banner_right_big_3');
            $table->dropColumn('banner_right_big_3_url');
            $table->dropColumn('banner_right_big_google');
            
        });
    }
}
